<?php

namespace App\Http\Resources;

use Carbon\Carbon;
use Illuminate\Http\Resources\Json\JsonResource;

class OffersResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        $lang = $request->header('Accept-Language','ar');
        \App::setLocale($lang);
        return [
            'id'=>$this->id,
            'worker_id'=>$this->worker_id ? (integer)$this->worker_id : 0,
            'worker_username' => $this->worker ? $this->worker->username : '',
            'worker_mobile' => $this->worker ? $this->worker->mobile : '',
            'worker_email' => $this->worker ? $this->worker->email : '',
            'worker_image' => ($this->worker  && $this->worker->image)? asset('images/users/' . $this->worker->image) : '',
            'worker_rate'=>$this->worker_id ? getUserRate($this->worker_id) : 0,
            'worker_address'=> ($this->worker_id && $this->worker->city) ? $this->worker->city->name[$lang] : '' ,
            'worker_lat'=>($this->worker_id && $this->worker->lat) ? $this->worker->lat  : "",
            'worker_lng'=>($this->worker_id && $this->worker->lng) ? $this->worker->lng  : "",
            'worker_job'=>$this->worker_id ? $this->worker->job  : "",
            "order_id"=>$this->order_id,
            'price'=>$this->price ,
            'comment'=>$this->comment ,
            'status'=>$this->status ,
            'time'=>Carbon::parse($this->created_at)->toDateString()
        ];
    }
}
