<?php

namespace App\Http\Resources;

use App\Models\Setting;
use App\User;
use Illuminate\Http\Resources\Json\JsonResource;
use JWTAuth;

class UserResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        $setting = Setting::first();
        $user = User::find($this->id);
        $myTTL = 60 * 60 * 365; //minutes
        JWTAuth::factory()->setTTL($myTTL);
        $token = JWTAuth::fromUser($user);
        $lang = $request->header('Accept-Language', 'ar');
        return [
            'id' => $this->id,
            'username' => $this->username ? $this->username : '',
            'mobile' => $this->mobile ? $this->mobile : '',
            'email' => $this->email ? $this->email : '',
            'country_id' => $this->city_id ? (integer)$this->city->country->id : 0,
            'country_name' => $this->city_id ? $this->city->country->name[$lang] : '',
            'city_id' => $this->city_id ? (integer)$this->city_id : 0,
            'city_name' => $this->city_id ? $this->city->name[$lang] : '',
            'code' => $this->code ? (string)$this->code : '',
            'image' => $this->image ? asset('images/users/' . $this->image) : '',
            'experience' => $this->experience ? $this->experience : '',
            'wallet' => $this->wallet ? $this->wallet : '',
            'lat' => $this->lat ? $this->lat : '',
            'lng' => $this->lng ? $this->lng : '',
            'type' => $this->type ? $this->type : '',
            'job' => $this->job,
            'status' => $this->status ? $this->status : '',
            'commercial_number' => $this->commercial_number ? $this->commercial_number : '',
            'delivery' => $this->delivery ? $this->delivery : '',
            'in_subscription' => $this->subscription_status ? $this->subscription_status : '',
            'setting_subscription_status' => $setting->subscription_status == "true" ? "true" : "false",
            'category_type' => $this->category_type ? $this->category_type : '',
            'token' => $token

        ];
    }
}
