@extends('admin.layout.master')
@section('title', 'الأقسام الرئيسية')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">الأقسام الرئيسية</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">إنشاء جديد</h4>

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('categories.store')}}" enctype="multipart/form-data">
                            @csrf
                            <div class="form-group">
                                <label for="exampleInputEmail1">الاسم باللغة العربية</label>
                                <input type="text" class="form-control" value="{{old('name_ar')}}" required name="name_ar"
                                       id="exampleInputEmail1"
                                       placeholder="الاسم باللغة العربية">
                                @if ($errors->has('name_ar'))
                                    <small class="text-danger">{{ $errors->first('name_ar') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">الاسم باللغة الإنجليزية</label>
                                <input type="text" class="form-control" value="{{old('name_en')}}" required
                                       name="name_en"
                                       id="exampleInputEmail1"
                                       placeholder="الاسم باللغة الإنجليزية">
                                @if ($errors->has('name_en'))
                                    <small class="text-danger">{{ $errors->first('name_en') }}</small>
                                @endif
                            </div>




                            <div class="row">
                                <div class="col-sm-12">
                                    <div class="card-box">
                                        <h4 class="header-title mb-4">الصورة </h4>
                                        <input type="file" required name="image" class="dropify"
                                               data-height="200"/>
                                    </div>
                                </div><!-- end col -->
                                @if ($errors->has('image'))
                                    <small
                                        class="text-danger">{{ $errors->first('image') }}</small>
                                @endif
                            </div>



                            <button type="submit" class="btn btn-primary">حفظ</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



@stop
@section('scripts')
    <script>
           $("#exampleSelect1_to").on('change',function () {
                var select_to = $("#exampleSelect1_to").val();
                if (select_to == 'all'){
                    $("#users_select").hide();
                }else {
                    $("#users_select").show();

                }
        });
    </script>

@stop
